Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231675 - Review Request: librra - Connection to Pocket PC devices, part of SynCE
Summary: Review Request: librra - Connection to Pocket PC devices, part of SynCE
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 231669 231670 231674
Blocks: 231681 231683
TreeView+ depends on / blocked
 
Reported: 2007-03-09 22:16 UTC by Aurelien Bompard
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-01 21:21:32 UTC
andreas.bierfert: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Aurelien Bompard 2007-03-09 22:16:18 UTC
Spec URL: http://gauret.free.fr/fichiers/rpms/fedora/synce/librra.spec
SRPM URL: http://gauret.free.fr/fichiers/rpms/fedora/synce/librra-0.9.1-1.src.rpm
Description: 
RRA is part of the SynCE project: http://www.synce.org

SynCE is already in Fedora Extras, but in the form of a monolithic package : all the libraries are in the same RPM. I've splitted it, this is one of the libraries.

Comment 1 Andreas Bierfert 2007-04-27 09:19:25 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 * OK: rpmlint is silent
 * OK: package is named according to the guidelines
 * OK: spec file name matches base package name
 * OK: package meets packaging guidelines
 * OK: license
 * OK: license field matches actual license
 * OK: license is not included as own file and thus is not included in %doc
 * OK: Spec file seems to be in AE
 * OK: no obfuscated code spec
 * OK: sources match upstream:
72742f93f19d5727159989ec80a725f0  synce-rra-0.9.1.tar.gz
72742f93f19d5727159989ec80a725f0 
/homes/awjb/rpmbuild/SOURCES/synce-rra-0.9.1.tar.gz 
 * OK: Builds fine on x86_64/fc6
 * OK: BR seem fine
 * OK: package has no locale support
 * OK: ldconfig is run 
 * OK: package is not explicitly designed to be relocatable
 * OK: package owns %{_includedir}/rra
 * OK: no duplicate files in file listing
 * OK: %defattr and permissions seem ok
 * OK: %clean section is present
 * OK: macros are used consistently
 * OK: content is ok
 * OK: no doc package needed
 * OK: %doc files do not affect runtime
 * OK: header files are in -devel
 * OK: no static lib
 * OK: pkgconfig is not needed
 * OK: no .so file
 * OK: -devel requires main package
 * OK: package does not contain .la archives
 * OK: no .desktop needed
 * OK: does not own files/directories from other packages
 * OK: buildroot is rm at beginning of install
 * OK: filenames seem to be valid utf8

Package d9d02a54ebbab717ec4ec0fa55aa9405  librra-0.9.1-1.src.rpm
is APPROVED with the following patch:

- --- librra.spec.1	2007-03-09 22:58:01.000000000 +0100
+++ librra.spec	2007-04-27 11:13:08.000000000 +0200
@@ -11,6 +11,7 @@
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  libsynce-devel, librapi-devel, libmimedir-devel
+BuildRequires:  libtool
 
 # Provide an upgrade path from the monilithic synce package
 Provides:       synce = %{version}-%{release}
@@ -35,14 +36,14 @@
 
 %build
 %configure --disable-static --disable-rpath
- -make %{?_smp_mflags}
+make LIBTOOL=%{_bindir}/libtool %{?_smp_mflags}
 
 
 %install
 rm -rf $RPM_BUILD_ROOT
 make install DESTDIR=$RPM_BUILD_ROOT
 
- -rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
+rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,a}
 
 
 %clean
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQFGMb/JQEQyPsWM8csRApGNAKCm5tpg0LrxBKoAud3PQH4/Sfef/gCfdsWV
2VBWLC3r5yvtiFQJQXKXmGo=
=gIso
-----END PGP SIGNATURE-----

Comment 2 Aurelien Bompard 2007-04-28 05:40:05 UTC
New Package CVS Request
=======================
Package Name: librra
Short Description: Connection to Pocket PC devices, part of SynCE
Owners: andreas.bierfert@lowlatency.de,gauret@free.fr
Branches: FC-6
InitialCC: 


Note You need to log in before you can comment on or make changes to this bug.